Fetch Transactions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The transactions request enables us to get all transactions from a specific bank account.

Scenario
You have consent from user A to access her Bank A account.You will therefore receive transactions of the specified period of that bank account.

Prerequisites

  1. You have acquired the necessary consent from the user
  2. You have the TPA access token for this.
  3. JWT token
{
  "requestId": "string",
  "tpaAccessToken": "string",
  "dateFrom": "2022-04-04",
  "dateTo": "2022-04-04",
  "callbackUrl": "https://your-callback-url"
 }
Body Params
string
required
length between 6 and 64
[\w_/.-]+

A uuid representing the request from the user

string
required

Token specific to the customer consent

date
required

Get account transaction to this date, dateformat is yyyy-MM-dd

date
required

Get account transaction to this date, dateformat is yyyy-MM-dd

string
string
uri
required
length between 8 and 50

A callback that can request post requests with request_id and response payload

string
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*